/**
 * Set the global default root element -- by default {@link PageObject}s will
 * only match elements that are descendants of this element. The default root
 * element is `document.body`.
 *
 * @param {Element|Function} element the root element or a function that will
 * return it
 */
export declare function setRoot(element: Element): void;
/**
 * Get the global default root element
 *
 * @returns the root element
 *
 * @private
 */
export declare function getRoot(): Element;
/**
 * Reset the global default root element to its default (used for testing)
 *
 * @private
 */
export declare function resetRoot(): void;
